global constant INSTRUCTIONS = {
{"mov",2,{0,1},{1,1}},
{"movdi",3,{0,1,1},{1,1,1}},
{"movsi",3,{0,1,1},{1,1,1}},
{"add",2,{0,1},{1,1}},
{"sub",2,{0,1},{1,1}},
{"mul",2,{0,1},{1,1}},
{"div",2,{0,1},{1,1}},
{"and",2,{0,1},{1,1}},
{"or",2,{0,1},{1,1}},
{"xor",2,{0,1},{1,1}},
{"not",1,{0},{1}},
{"andbits",2,{0,1},{1,1}},
{"orbits",2,{0,1},{1,1}},
{"xorbits",2,{0,1},{1,1}},
{"notbits",1,{0},{1}},
{"movlen",2,{0,1},{1,1}},
{"repeat",2,{0,1},{1,1}},
{"append",2,{0,1},{1,1}},
{"prepend",2,{0,1},{1,1}},
{"concen",2,{0,1},{1,1}},
{"isinteger",2,{1,0},{1,1}},
{"isatom",2,{1,0},{1,1}},
{"issequence",2,{1,0},{1,1}},
{"floor",1,{0},{1}},
{"sqrt",1,{0},{1}},
{"remainder",2,{0,1},{1,1}},
{"rand",2,{0,1},{1,1}},
{"sin",1,{0},{1}},
{"cos",1,{0},{1}},
{"tan",1,{0},{1}},
{"asin",1,{0},{1}},
{"acos",1,{0},{1}},
{"atan",1,{0},{1}},
{"log",1,{0},{1}},
{"power",2,{0,1},{1,1}},
{"ce",3,{1,1,0},{1,1,1}},
{"cne",3,{1,1,0},{1,1,1}},
{"cg",3,{1,1,0},{1,1,1}},
{"cl",3,{1,1,0},{1,1,1}},
{"cge",3,{1,1,0},{1,1,1}},
{"cle",3,{1,1,0},{1,1,1}},
{"se",2,{1,1},{1,1}},
{"sne",2,{1,1},{1,1}},
{"sg",2,{1,1},{1,1}},
{"sl",2,{1,1},{1,1}},
{"sge",2,{1,1},{1,1}},
{"sle",2,{1,1},{1,1}},
{"je",3,{1,1,1},{1,1,0}},
{"jne",3,{1,1,1},{1,1,0}},
{"jg",3,{1,1,1},{1,1,0}},
{"jl",3,{1,1,1},{1,1,0}},
{"jge",3,{1,1,1},{1,1,0}},
{"jle",3,{1,1,1},{1,1,0}},
{"cmp",3,{1,1,0},{1,1,1}},
{"equ",3,{1,1,0},{1,1,1}},
{"ret",0,{},{}},
{"call",1,{1},{0}},
{"jmp",1,{1},{0}},
{"loop",2,{1,0},{0,1}},
{"loopn",2,{1,1},{0,1}},
{"end",0,{}},
{"err",1,{1},{1}},
{"push",1,{1},{1}},
{"pop",1,{0},{1}},
{"ldss",1,{0},{1}},
{"puts",1,{1},{1}},
{"print",1,{1},{1}},
{"time",1,{0},{1}}}
